#div-1 {
	background-color: seagreen;
	display: inline;
}

/* we connot change the width nad height of an inline element */
/* inline block can make change to width and height */
#span-1 {
	background-color: purple;
	display: inline-block;
	width: 200px;
	height: 200px;
}

#span-2 {
	background-color: pink;
	display: none;
	/*display: block;*/
}

#div-2 {
	background-color: cyan;
}

#img {
	display: inline-block;
	width: 250px;
	height: 250px;
} 

#p-1 {
	background-color: #87cefa;
}

#p-2 {
	background-color: rgb(255,105,188);
	width: 60%;
}

#p-3 {
	background-color: yellow;
	width: 40%;
}


.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

.img-float {
	width: 250px;
	height: 250px;
	float: inherit;
	/* float has inherit, right and left values */
}

.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.hundred-px {
	width: 100px;
}

.one-rem {
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.two-hundred-percent {
	font-size: 200%;
}

.fifty-vw {
	width: 50vw;
}

.twenty-five-vh {
	height: 25vh;
}

/* background properties */

.background {
	min-height: 20rem;
	/*background-color: gray;*/
	background-image: url("https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg");
	/* repeat can be no-repeat repeat-x, repeat-y, space, round */
	background-repeat: no-repeat;
	/* background size value can be auto cover contain size can be a number vaule like 50px 60% */

	background-size: 100%;
	background-position: center top;
	background-attachment: scroll;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg {
	background-color: rgba(0,0,0,0.5);
	min-height: 100vh;
}

.parent-element {
	background-color: skyblue;
	padding: 50px 10px;
	position: relative;
	height: 100px;
	width: 100vw;
	display: block;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
	position: sticky;
	top: 10px;
	left: 10px;
	/*bottom: 10px;*/
}

.child-three {
	background-color: gray;
	padding: 10px;
}

html {
	height: 800vh;
}

/* z index */

.container {
	position: relative;
}

.black-box {
	position: relative;
	z-index: 1;
	height: 100px;
	margin: 30px;
	border: 2px solid black;
}

.gray-box {
	z-index: 3;
	position: absolute;
	background-color: lightgray;
	height: 60px;
	width: 120px;
	left: 200px;
	top: 50px;
}

.green-box {
	z-index: 2;
	position: absolute;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}